Mailinglist Archive: opensuse-de (1951 mails)

< Previous Next >
Re: Mehrere GCC-Versionen
  • From: Philipp Thomas <philipp.thomas@xxxxxxxxx>
  • Date: Wed, 21 Dec 2005 09:29:55 +0100
  • Message-id: <mm3iq1hkd01sv7jr0v8426945kjllaboab@xxxxxxx>
On Wed, 21 Dec 2005 01:36:14 +0100, Jan Ritzerfeld wrote:

>Aber unter SL 10.0 (mit dem gcc_old-2.95.3-92.i586.rpm von ftp.suse.com oder
>einem selbstkompilierten)

Sprich in beiden Fällen mit einem gcc 2.95.3?

>schmeißen C++-Exception ein SIGABRT, sobald diese
>Exceptions in hinzugelinkten Komponenten geworfen werden.

*Alle* beteiligten Komponenten inklusive der Bibliotheken (sofern es C++
Bibliotheken sind) *müssen* mit 2.95.3 kompiliert worden sein, da sich
zwischen 2.95.3 und 4.0.2 mindestens zweimal das C++ ABI inkompatibel
geändert hat.

Wenn es das nicht ist, müsste ich mal versuchen, mich intern schlau zu
machen.

Philipp

< Previous Next >
Follow Ups